<?php
require_once 'config.php';
yetkili_mi();

// AJAX isteği kontrolü
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    echo json_encode(['success' => false, 'message' => 'Geçersiz istek yöntemi.']);
    exit;
}

// Form verilerini al
$ad_soyad = isset($_POST['ad_soyad']) ? temizle($_POST['ad_soyad']) : '';
$telefon = isset($_POST['telefon']) ? temizle($_POST['telefon']) : '';
$eposta = isset($_POST['eposta']) ? temizle($_POST['eposta']) : '';
$adres = isset($_POST['adres']) ? temizle($_POST['adres']) : '';

// Veri doğrulama
if (empty($ad_soyad)) {
    echo json_encode(['success' => false, 'message' => 'Ad Soyad / Firma Adı alanı zorunludur.']);
    exit;
}

try {
    // Cari ekle
    $stmt = $db->prepare("
        INSERT INTO cariler (ad_soyad, telefon, eposta, adres, toplam_borc, toplam_alacak, bakiye, olusturma_tarihi)
        VALUES (?, ?, ?, ?, 0, 0, 0, NOW())
    ");
    
    $stmt->execute([$ad_soyad, $telefon, $eposta, $adres]);
    $cari_id = $db->lastInsertId();
    
    echo json_encode([
        'success' => true, 
        'message' => 'Cari başarıyla eklendi.',
        'cari_id' => $cari_id
    ]);
    
} catch (PDOException $e) {
    error_log("Cari ekleme hatası: " . $e->getMessage());
    echo json_encode(['success' => false, 'message' => 'Cari eklenirken bir hata oluştu.']);
}
?>
