-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Anamakine: 127.0.0.1
-- Üretim Zamanı: 23 Haz 2025, 19:17:38
-- Sunucu sürümü: 10.4.32-MariaDB
-- PHP Sürümü: 8.0.30

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Veritabanı: `wp`
--

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `borclar`
--

CREATE TABLE `borclar` (
  `id` int(11) NOT NULL,
  `cari_id` int(11) NOT NULL,
  `tur` enum('satis','alis') NOT NULL COMMENT 'Bu kayıt bir Satış mı yoksa Alış mı?',
  `kategori_id` int(11) DEFAULT NULL,
  `tutar` decimal(15,2) NOT NULL COMMENT 'İşlem tutarı',
  `aciklama` text DEFAULT NULL,
  `tarih` date NOT NULL COMMENT 'İşlem tarihi',
  `vade_tarihi` date DEFAULT NULL COMMENT 'Ödeme vadesi (varsa)',
  `odenen_tutar` decimal(15,2) NOT NULL DEFAULT 0.00 COMMENT 'Bu işleme karşılık yapılan ödeme/tahsilat toplamı',
  `durum` enum('odenmedi','kismen_odendi','odendi') NOT NULL DEFAULT 'odenmedi',
  `olusturulma_tarihi` datetime NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_turkish_ci COMMENT='Satış ve Alış işlemleri (fatura benzeri kayıtlar)';

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `cariler`
--

CREATE TABLE `cariler` (
  `id` int(11) NOT NULL,
  `ad_soyad` varchar(150) NOT NULL,
  `telefon` varchar(20) DEFAULT NULL,
  `adres` text DEFAULT NULL,
  `grup_id` int(11) DEFAULT NULL,
  `toplam_borc` decimal(15,2) NOT NULL DEFAULT 0.00 COMMENT 'Müşterinin bize olan toplam borcu',
  `toplam_alacak` decimal(15,2) NOT NULL DEFAULT 0.00 COMMENT 'Bizim tedarikçiye olan toplam borcumuz',
  `bakiye` decimal(15,2) NOT NULL DEFAULT 0.00 COMMENT 'Hesaplanan Bakiye (toplam_alacak - toplam_borc)',
  `aktif` tinyint(1) NOT NULL DEFAULT 1,
  `olusturulma_tarihi` datetime NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_turkish_ci COMMENT='Müşteriler, Tedarikçiler ve diğer bağlantılar';

--
-- Tablo döküm verisi `cariler`
--

INSERT INTO `cariler` (`id`, `ad_soyad`, `telefon`, `adres`, `grup_id`, `toplam_borc`, `toplam_alacak`, `bakiye`, `aktif`, `olusturulma_tarihi`) VALUES
(2, 'Akbank', '444 2 525', 'Ankara', 1, 0.00, 0.00, 0.00, 1, '2025-04-13 02:48:26'),
(4, 'R10 Kullanicisi 2', '44 44 44', '', 2, 0.00, 0.00, 0.00, 1, '2025-04-22 19:44:51');

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `cari_gruplari`
--

CREATE TABLE `cari_gruplari` (
  `id` int(11) NOT NULL,
  `grup_adi` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_turkish_ci COMMENT='Carileri gruplamak için (Müşteri, Tedarikçi vb.)';

--
-- Tablo döküm verisi `cari_gruplari`
--

INSERT INTO `cari_gruplari` (`id`, `grup_adi`) VALUES
(4, 'Diğer'),
(1, 'Müşteri'),
(3, 'Personel'),
(2, 'Tedarikçi');

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `hatirlaticilar`
--

CREATE TABLE `hatirlaticilar` (
  `id` int(11) NOT NULL,
  `baslik` varchar(255) NOT NULL,
  `aciklama` text DEFAULT NULL,
  `hatirlatma_tarihi` date NOT NULL,
  `oncelik` enum('dusuk','normal','yuksek') NOT NULL DEFAULT 'normal',
  `cari_id` int(11) DEFAULT NULL,
  `borc_id` int(11) DEFAULT NULL,
  `kullanici_id` int(11) NOT NULL,
  `olusturma_tarihi` datetime NOT NULL,
  `guncelleme_tarihi` datetime DEFAULT NULL,
  `durum` enum('aktif','tamamlandi') NOT NULL DEFAULT 'aktif'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `hesaplar`
--

CREATE TABLE `hesaplar` (
  `id` int(11) NOT NULL,
  `hesap_adi` varchar(100) NOT NULL,
  `hesap_turu` enum('banka','kasa','kredi_karti') NOT NULL,
  `bakiye` decimal(15,2) NOT NULL DEFAULT 0.00 COMMENT 'Hesabın güncel bakiyesi',
  `aciklama` text DEFAULT NULL,
  `aktif` tinyint(1) NOT NULL DEFAULT 1,
  `olusturulma_tarihi` datetime NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_turkish_ci COMMENT='Kasa, Banka, Kredi Kartı gibi para hesapları';

--
-- Tablo döküm verisi `hesaplar`
--

INSERT INTO `hesaplar` (`id`, `hesap_adi`, `hesap_turu`, `bakiye`, `aciklama`, `aktif`, `olusturulma_tarihi`) VALUES
(1, 'Merkez Kasa', 'kasa', 0.00, NULL, 1, '2025-04-13 02:13:27'),
(2, 'Ziraat Bankası', 'banka', 0.00, 'Ziraat Bankası işletme hesabı', 1, '2025-04-20 07:04:33');

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `hesap_hareketleri`
--

CREATE TABLE `hesap_hareketleri` (
  `id` int(11) NOT NULL,
  `hesap_id` int(11) NOT NULL COMMENT 'Hangi hesabı etkilediği',
  `cari_id` int(11) DEFAULT NULL COMMENT 'Hangi cari ile ilgili (varsa)',
  `borc_id` int(11) DEFAULT NULL COMMENT 'Hangi satış/alış işlemi ile ilgili (varsa)',
  `tur` enum('giris','cikis','transfer') NOT NULL COMMENT 'Hesaba para girişi mi, çıkışı mı?',
  `tutar` decimal(15,2) NOT NULL COMMENT 'Hareket tutarı (Her zaman pozitif)',
  `aciklama` text DEFAULT NULL,
  `tarih` datetime NOT NULL DEFAULT current_timestamp() COMMENT 'Hareketin gerçekleştiği tarih/saat',
  `baglanti_id` int(11) DEFAULT NULL COMMENT 'Transfer ise diğer hesap hareketi IDsi'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_turkish_ci COMMENT='Tüm para giriş/çıkış ve transferlerinin kaydı';

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `kategoriler`
--

CREATE TABLE `kategoriler` (
  `id` int(11) NOT NULL,
  `kategori_adi` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_turkish_ci COMMENT='Satış/Alış işlemlerini kategorize etmek için';

--
-- Tablo döküm verisi `kategoriler`
--

INSERT INTO `kategoriler` (`id`, `kategori_adi`) VALUES
(1, 'Genel Ürün Satışı'),
(2, 'Hizmet Satışı'),
(3, 'Mal Alışı'),
(4, 'Ofis Gideri'),
(5, 'Personel Gideri');

-- --------------------------------------------------------

--
-- Tablo için tablo yapısı `kullanicilar`
--

CREATE TABLE `kullanicilar` (
  `id` int(11) NOT NULL,
  `kullanici_adi` varchar(50) NOT NULL,
  `sifre` varchar(255) NOT NULL,
  `ad_soyad` varchar(100) NOT NULL,
  `son_giris` datetime DEFAULT NULL,
  `son_ip` varchar(45) DEFAULT NULL,
  `aktif` tinyint(1) NOT NULL DEFAULT 1,
  `olusturulma_tarihi` datetime NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_turkish_ci COMMENT='Sisteme giriş yapacak kullanıcılar';

--
-- Dökümü yapılmış tablolar için indeksler
--

--
-- Tablo için indeksler `borclar`
--
ALTER TABLE `borclar`
  ADD PRIMARY KEY (`id`),
  ADD KEY `cari_id` (`cari_id`),
  ADD KEY `kategori_id` (`kategori_id`),
  ADD KEY `tur` (`tur`),
  ADD KEY `tarih` (`tarih`),
  ADD KEY `vade_tarihi` (`vade_tarihi`),
  ADD KEY `durum` (`durum`);

--
-- Tablo için indeksler `cariler`
--
ALTER TABLE `cariler`
  ADD PRIMARY KEY (`id`),
  ADD KEY `grup_id` (`grup_id`);

--
-- Tablo için indeksler `cari_gruplari`
--
ALTER TABLE `cari_gruplari`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `grup_adi` (`grup_adi`);

--
-- Tablo için indeksler `hatirlaticilar`
--
ALTER TABLE `hatirlaticilar`
  ADD PRIMARY KEY (`id`),
  ADD KEY `cari_id` (`cari_id`),
  ADD KEY `borc_id` (`borc_id`);

--
-- Tablo için indeksler `hesaplar`
--
ALTER TABLE `hesaplar`
  ADD PRIMARY KEY (`id`);

--
-- Tablo için indeksler `hesap_hareketleri`
--
ALTER TABLE `hesap_hareketleri`
  ADD PRIMARY KEY (`id`),
  ADD KEY `hesap_id` (`hesap_id`),
  ADD KEY `cari_id` (`cari_id`),
  ADD KEY `borc_id` (`borc_id`),
  ADD KEY `tur` (`tur`),
  ADD KEY `tarih` (`tarih`);

--
-- Tablo için indeksler `kategoriler`
--
ALTER TABLE `kategoriler`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `kategori_adi` (`kategori_adi`);

--
-- Tablo için indeksler `kullanicilar`
--
ALTER TABLE `kullanicilar`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `kullanici_adi` (`kullanici_adi`);

--
-- Dökümü yapılmış tablolar için AUTO_INCREMENT değeri
--

--
-- Tablo için AUTO_INCREMENT değeri `borclar`
--
ALTER TABLE `borclar`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Tablo için AUTO_INCREMENT değeri `cariler`
--
ALTER TABLE `cariler`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- Tablo için AUTO_INCREMENT değeri `cari_gruplari`
--
ALTER TABLE `cari_gruplari`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- Tablo için AUTO_INCREMENT değeri `hatirlaticilar`
--
ALTER TABLE `hatirlaticilar`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Tablo için AUTO_INCREMENT değeri `hesaplar`
--
ALTER TABLE `hesaplar`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=19;

--
-- Tablo için AUTO_INCREMENT değeri `hesap_hareketleri`
--
ALTER TABLE `hesap_hareketleri`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Tablo için AUTO_INCREMENT değeri `kategoriler`
--
ALTER TABLE `kategoriler`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=23;

--
-- Tablo için AUTO_INCREMENT değeri `kullanicilar`
--
ALTER TABLE `kullanicilar`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- Dökümü yapılmış tablolar için kısıtlamalar
--

--
-- Tablo kısıtlamaları `borclar`
--
ALTER TABLE `borclar`
  ADD CONSTRAINT `fk_borc_cari` FOREIGN KEY (`cari_id`) REFERENCES `cariler` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_borc_kategori` FOREIGN KEY (`kategori_id`) REFERENCES `kategoriler` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Tablo kısıtlamaları `cariler`
--
ALTER TABLE `cariler`
  ADD CONSTRAINT `fk_cari_grup` FOREIGN KEY (`grup_id`) REFERENCES `cari_gruplari` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Tablo kısıtlamaları `hatirlaticilar`
--
ALTER TABLE `hatirlaticilar`
  ADD CONSTRAINT `hatirlaticilar_ibfk_1` FOREIGN KEY (`cari_id`) REFERENCES `cariler` (`id`) ON DELETE SET NULL,
  ADD CONSTRAINT `hatirlaticilar_ibfk_2` FOREIGN KEY (`borc_id`) REFERENCES `borclar` (`id`) ON DELETE SET NULL;

--
-- Tablo kısıtlamaları `hesap_hareketleri`
--
ALTER TABLE `hesap_hareketleri`
  ADD CONSTRAINT `fk_hareket_borc_iliski` FOREIGN KEY (`borc_id`) REFERENCES `borclar` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_hareket_cari` FOREIGN KEY (`cari_id`) REFERENCES `cariler` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_hareket_hesap` FOREIGN KEY (`hesap_id`) REFERENCES `hesaplar` (`id`) ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
